Skip to main content
PATCH
Update a pipeline

Authorizations

Authorization
string
header
required

Send the API token as Authorization: Bearer <token>.

Path Parameters

id
string
required

The pipeline ID.

Body

application/json
parallelism
integer

New parallelism. Changing it triggers rescaling.

checkpoint_interval_micros
integer

New checkpoint interval in microseconds.

stop
enum<string>

Stop mode.

Available options:
none,
graceful,
immediate,
checkpoint,
force

Response

A Pipeline object.

id
string
name
string
query
string
parallelism
integer
checkpoint_interval_micros
integer
stop
enum<string>

Stop mode.

Available options:
none,
graceful,
immediate,
checkpoint,
force
created_at
integer
graph
object
action
string
action_text
string
action_in_progress
boolean
preview
boolean